- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# Fog File Reference

`#include <osg/StateAttribute>`
`#include <osg/Vec4>`

Include dependency graph for Fog:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | osg
## Classes
class | osg::Fog
| Fog - encapsulates OpenGL fog state. More...
## Defines
#define | OSG_FOG 1
#define | GL_FOG_COORDINATE 0x8451
#define | GL_FRAGMENT_DEPTH 0x8452

## Define Documentation

#define GL_FOG_COORDINATE 0x8451

#define GL_FRAGMENT_DEPTH 0x8452

#define OSG_FOG 1